export declare function getMaybePagePath(page: string, distDir: string, locales: string[] | undefined, isAppPath: boolean): string | null;
/**
 * Finds the path that corresponds to a page, based on the pages manifest and localizations.
 * (An adaptation for Compute@Edge of function in Next.js of the same name,
 * found at next/server/require.ts)
 */
export declare function getPagePath(page: string, distDir: string, locales: string[] | undefined, isAppPath: boolean): string;
/**
 * Loads the string or module that corresponds to a page.
 * (An adaptation for Compute@Edge of function in Next.js of the same name,
 * found at next/server/require.ts)
 */
export declare function requirePage(page: string, distDir: string, isAppPath: boolean): Promise<any>;
/**
 * Load the font manifest.
 * (An adaptation for Compute@Edge of function in Next.js of the same name,
 * found at next/server/require.ts)
 */
export declare function requireFontManifest(distDir: string): any;
export declare function assetDirectoryExists(path: string): boolean;
export declare function assetDirectory(path: string): string[];
export declare function assetFileExists(path: string): boolean;
export declare function readAssetFileAsString(path: string): string;
export declare function requireManifest(path: string): any;
export declare function requireModule(path: string): Promise<any>;
//# sourceMappingURL=require.d.ts.map