import type { LoadComponentsReturnType } from 'next/dist/server/load-components';
/**
 * Loads React component associated with a given pathname.
 * (An adaptation for Compute@Edge of function in Next.js of the same name,
 * found at next/server/load-components.ts)
 *
 * Differences:
 *  * serverless is not supported
 *  * use
 */
export declare function loadComponentsImpl({ distDir, pathname, hasServerComponents, isAppPath, }: {
    distDir: string;
    pathname: string;
    hasServerComponents: boolean;
    isAppPath: boolean;
}): Promise<LoadComponentsReturnType>;
export declare const loadComponents: typeof loadComponentsImpl;
//# sourceMappingURL=load-components.d.ts.map